import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.FloatDataPoint;
import ch.hevs.isi.db.DatabaseConnector;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;

public class Database {
    public static void main(String[] args) {
        Properties properties = new Properties();
        try (InputStream input = new FileInputStream("src/config.properties")) {
            properties.load(input);
        } catch (Exception e) {
            e.printStackTrace();
        }
        String url = properties.getProperty("URL");

        DatabaseConnector db = DatabaseConnector.getMySelf();
        db.initialize(url);

        FloatDataPoint gridVoltage = new FloatDataPoint("GRID_U_FLOAT", true);
        gridVoltage.setValue(500);

    }
}
